Bug 1411364 - [RFE] Support container/infra/cloud provider policies in the UI
Summary: [RFE] Support container/infra/cloud provider policies in the UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Beni Paskin-Cherniavsky
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1411337
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 14:51 UTC by Satoe Imaishi
Modified: 2017-03-03 18:26 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1411337
Environment:
Last Closed: 2017-02-27 19:18:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 14:55:48 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/11bace9720205ed40505c9c4c510259bf1534fc4

commit 11bace9720205ed40505c9c4c510259bf1534fc4
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 22 12:15:50 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 09:53:36 2017 -0500

    Merge pull request #11002 from alongoldboim/enable_proider_policies
    
    Support container/infra/cloud provider policies in the UI
    (cherry picked from commit 6434490304856b340a5628e4fade95b1848e77f6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411364

 .../application_controller/tree_support.rb         |  2 +-
 app/controllers/ems_common.rb                      | 11 +++++
 app/controllers/miq_policy_controller.rb           |  2 +-
 .../application_helper/toolbar/ems_cloud_center.rb |  6 +++
 .../toolbar/ems_clouds_center.rb                   |  9 ++++
 .../toolbar/ems_container_center.rb                |  6 +++
 .../toolbar/ems_containers_center.rb               |  9 ++++
 .../application_helper/toolbar/ems_infra_center.rb |  6 +++
 .../toolbar/ems_infras_center.rb                   |  9 ++++
 app/models/ext_management_system.rb                |  2 +
 app/presenters/tree_builder_condition.rb           |  3 +-
 app/presenters/tree_builder_policy.rb              |  6 ++-
 config/routes.rb                                   |  3 ++
 db/fixtures/miq_event_definitions.csv              |  3 ++
 db/fixtures/miq_product_features.yml               | 12 +++++
 spec/controllers/ems_infra_controller_spec.rb      |  6 +++
 spec/routing/ems_cloud_routing_spec.rb             |  2 +
 spec/routing/ems_container_routing_spec.rb         | 52 ++++++++++++++++++++++
 spec/routing/ems_infra_routing_spec.rb             |  2 +
 19 files changed, 146 insertions(+), 5 deletions(-)
 create mode 100644 spec/routing/ems_container_routing_spec.rb

Comment 3 CFME Bot 2017-01-09 17:10:51 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5cf7817b057017681df31e4b0ffada638e20b91e

commit 5cf7817b057017681df31e4b0ffada638e20b91e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Sun Dec 4 11:26:48 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 12:07:11 2017 -0500

    Merge pull request #12803 from cben/provider-policies
    
    Add missing "Provider Compliance/Control Policies" texts
    (cherry picked from commit 5e8b3b6695e9e7e3ed67055ee245560d39b3fda1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411364

 app/views/miq_policy/_policy_folders.html.haml | 31 ++++++++++++++------------
 1 file changed, 17 insertions(+), 14 deletions(-)

Comment 5 Beni Paskin-Cherniavsky 2017-02-08 09:34:54 UTC
The functionality has long been there, already in 5.7.0 I think.

The only unmerged fix is https://github.com/ManageIQ/manageiq/pull/13388
but that just renames 3 events to be more consistent.
Feel free to move to POST now if you feel that's unrelated (I see the master BZ is already POST);  if not, I'll move to POST when the renaming lands.

Also submitted https://github.com/ManageIQ/manageiq_docs/pull/223 to document the added compliance events.

Comment 8 errata-xmlrpc 2017-02-27 19:18:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html

Comment 9 CFME Bot 2017-03-03 18:26:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/ab2c70319ea2ed076081eb948597deaccb9060a6

commit ab2c70319ea2ed076081eb948597deaccb9060a6
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Feb 8 09:17:14 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 13:19:53 2017 -0500

    Merge pull request #13388 from cben/provider-compliance-events-description
    
    Rename events "ExtManagementSystem Compliance *" -> "Provider Compliance *"
    (cherry picked from commit af4f115902f3dfc2feec7f3c71678123c94014c6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411364

 db/fixtures/miq_event_definitions.csv | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.